<?php

namespace domain\Order\ProductOrder;

use domain\Order\Order\Order;
use domain\_\AbstractRepositoryQuery;

class ProductOrderRepositoryQuery extends AbstractRepositoryQuery
{
    protected ProductOrderDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(ProductOrderDefinition::class);
    }

    public function filterByOrder(Order $order): self
    {
        $this->andWhere(['id_order' => $order->id]);

        return $this;
    }
}